Is there any way to use like for affected version?

Hi

I whould like to know if i can use like in jql to use with affected version

for example

i have few affected version

2.3

2.3_b01

2.3 RC

I whould like to get all 2.3 release with jql (like affected version like "2.3")

instead using the affected version in ("2.3","2.3_b01",2.3 RC")

Thanks,

Ron

1 answer

1 accepted

0 votes
Accepted answer

Unfortunately this is not possible without a plugin:

The operator '~' is not supported by the 'affectedVersion' field.

But it should work with the JQL Tricks Plugin:

  • versionMatches(regex)

https://marketplace.atlassian.com/plugins/com.j-tricks.jql-plugin

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Jan 08, 2019 in Jira

How to Jira for designers

I’m a designer on the Jira team. For a long time, I’ve fielded questions from other designers about how they should be using Jira Software with their design team. I’ve also heard feedback from other ...

1,304 views 5 11
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you